Open CASCADE Technology: STEPConstruct_ContextTool Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
STEPConstruct_ContextTool Class Reference

Maintains global context tool for writing. Gives access to Product Definition Context (one per Model) Maintains ApplicationProtocolDefinition entity (common for all products) Also maintains context specific for AP203 and provides set of methods to work with various STEP constructs as required by Actor. More...

`#include <STEPConstruct_ContextTool.hxx>`

## Public Member Functions
| STEPConstruct_ContextTool ()
| STEPConstruct_ContextTool (const Handle< StepData_StepModel > &aStepModel)
void | SetModel (const Handle< StepData_StepModel > &aStepModel)
| Initialize ApplicationProtocolDefinition by the first entity of that type found in the model. More...
Handle< StepBasic_ApplicationProtocolDefinition > | GetAPD ()
void | AddAPD (const Standard_Boolean enforce=Standard_False)
Standard_Boolean | IsAP203 () const
| Returns True if APD.schema_name is config_control_design. More...
Standard_Boolean | IsAP214 () const
| Returns True if APD.schema_name is automotive_design. More...
Handle< TCollection_HAsciiString > | GetACstatus ()
Handle< TCollection_HAsciiString > | GetACschemaName ()
Standard_Integer | GetACyear ()
Handle< TCollection_HAsciiString > | GetACname ()
void | SetACstatus (const Handle< TCollection_HAsciiString > &status)
void | SetACschemaName (const Handle< TCollection_HAsciiString > &schemaName)
void | SetACyear (const Standard_Integer year)
void | SetACname (const Handle< TCollection_HAsciiString > &name)
Handle< StepGeom_Axis2Placement3d > | GetDefaultAxis ()
| Returns a default axis placement. More...
STEPConstruct_AP203Context & | AP203Context ()
| Returns tool which maintains context specific for AP203. More...
Standard_Integer | Level () const
| Returns current assembly level. More...
void | NextLevel ()
void | PrevLevel ()
void | SetLevel (const Standard_Integer lev)
| Changes current assembly level. More...
Standard_Integer | Index () const
| Returns current index of assembly component on current level. More...
void | NextIndex ()
void | PrevIndex ()
void | SetIndex (const Standard_Integer ind)
| Changes current index of assembly component on current level. More...
Handle< TCollection_HAsciiString > | GetProductName () const
| Generates a product name basing on write.step.product.name parameter and current position in the assembly structure. More...
Handle< TColStd_HSequenceOfTransient > | GetRootsForPart (const STEPConstruct_Part &SDRTool)
| Produces and returns a full list of root entities required for part identified by SDRTool (including SDR itself) More...
Handle< TColStd_HSequenceOfTransient > | GetRootsForAssemblyLink (const STEPConstruct_Assembly &assembly)
| Produces and returns a full list of root entities required for assembly link identified by assembly (including NAUO and CDSR) More...

## Detailed Description

Maintains global context tool for writing. Gives access to Product Definition Context (one per Model) Maintains ApplicationProtocolDefinition entity (common for all products) Also maintains context specific for AP203 and provides set of methods to work with various STEP constructs as required by Actor.

## Constructor & Destructor Documentation

STEPConstruct_ContextTool::STEPConstruct_ContextTool | ( |  | ) |

STEPConstruct_ContextTool::STEPConstruct_ContextTool | ( | const Handle< StepData_StepModel > & | aStepModel | ) |

## Member Function Documentation

void STEPConstruct_ContextTool::AddAPD | ( | const Standard_Boolean | enforce = `Standard_False` | ) |

STEPConstruct_AP203Context& STEPConstruct_ContextTool::AP203Context | ( |  | ) |

Returns tool which maintains context specific for AP203.

Handle< TCollection_HAsciiString > STEPConstruct_ContextTool::GetACname | ( |  | ) |

Handle< TCollection_HAsciiString > STEPConstruct_ContextTool::GetACschemaName | ( |  | ) |

Handle< TCollection_HAsciiString > STEPConstruct_ContextTool::GetACstatus | ( |  | ) |

Standard_Integer STEPConstruct_ContextTool::GetACyear | ( |  | ) |

Handle< StepBasic_ApplicationProtocolDefinition > STEPConstruct_ContextTool::GetAPD | ( |  | ) |

Handle< StepGeom_Axis2Placement3d > STEPConstruct_ContextTool::GetDefaultAxis | ( |  | ) |

Returns a default axis placement.

Handle< TCollection_HAsciiString > STEPConstruct_ContextTool::GetProductName | ( |  | ) | const

Generates a product name basing on write.step.product.name parameter and current position in the assembly structure.

Handle< TColStd_HSequenceOfTransient > STEPConstruct_ContextTool::GetRootsForAssemblyLink | ( | const STEPConstruct_Assembly & | assembly | ) |

Produces and returns a full list of root entities required for assembly link identified by assembly (including NAUO and CDSR)

Handle< TColStd_HSequenceOfTransient > STEPConstruct_ContextTool::GetRootsForPart | ( | const STEPConstruct_Part & | SDRTool | ) |

Produces and returns a full list of root entities required for part identified by SDRTool (including SDR itself)

Standard_Integer STEPConstruct_ContextTool::Index | ( |  | ) | const

Returns current index of assembly component on current level.

Standard_Boolean STEPConstruct_ContextTool::IsAP203 | ( |  | ) | const

Returns True if APD.schema_name is config_control_design.

Standard_Boolean STEPConstruct_ContextTool::IsAP214 | ( |  | ) | const

Returns True if APD.schema_name is automotive_design.

Standard_Integer STEPConstruct_ContextTool::Level | ( |  | ) | const

Returns current assembly level.

void STEPConstruct_ContextTool::NextIndex | ( |  | ) |

void STEPConstruct_ContextTool::NextLevel | ( |  | ) |

void STEPConstruct_ContextTool::PrevIndex | ( |  | ) |

void STEPConstruct_ContextTool::PrevLevel | ( |  | ) |

void STEPConstruct_ContextTool::SetACname | ( | const Handle< TCollection_HAsciiString > & | name | ) |

void STEPConstruct_ContextTool::SetACschemaName | ( | const Handle< TCollection_HAsciiString > & | schemaName | ) |

void STEPConstruct_ContextTool::SetACstatus | ( | const Handle< TCollection_HAsciiString > & | status | ) |

void STEPConstruct_ContextTool::SetACyear | ( | const Standard_Integer | year | ) |

void STEPConstruct_ContextTool::SetIndex | ( | const Standard_Integer | ind | ) |

Changes current index of assembly component on current level.

void STEPConstruct_ContextTool::SetLevel | ( | const Standard_Integer | lev | ) |

Changes current assembly level.

void STEPConstruct_ContextTool::SetModel | ( | const Handle< StepData_StepModel > & | aStepModel | ) |

Initialize ApplicationProtocolDefinition by the first entity of that type found in the model.

The documentation for this class was generated from the following file:

- STEPConstruct_ContextTool.hxx